wget and measure files into the PCR

This commit is contained in:
Trammell Hudson 2017-03-27 18:03:29 -04:00
parent b0d2d4b5ba
commit c3757650fd
Failed to extract signature

22
initrd/bin/wget-measure.sh Executable file
View File

@ -0,0 +1,22 @@
#!/bin/sh
# get a file and extend a TPM PCR
die() {
echo >&2 "$@"
exit 1
}
INDEX="$1"
URL="$2"
if [ -z "$INDEX" -o -z "$URL" ]; then
die "Usage: $0 pcr-index url"
fi
wget "$URL" || die "$URL: failed"
FILE="`basename "$URL"`"
tpm extend -ix "$INDEX" -if "$FILE" || die "$FILE: tpm extend failed"